`PUT /api/v1/mcp/servers/:name/config`, Replace a server configuration and restart the session.
PUT/api/v1/mcp/servers/:name/config
Removes the current session, starts a new one with the updated configuration,
upserts the entry in mcp.db, then journals the change.
Returns 200 OK with the new [McpServerStatus] on success.
Returns 404 Not Found when no server with name is managed.
Returns 400 Bad Request when the new session fails to start.
Returns 503 Service Unavailable when MCP is not configured.
Request
Responses
- 200
- 400
- 403
- 404
- 500
- 503
Configuration replaced and session restarted
New session failed to start
Refused by the connection admission, or forbidden since the last start
Server not found
Repository error
MCP not configured